## org.h2.mvstore
Class MVMapConcurrent.Builder<K,V>

    java.lang.Object
      org.h2.mvstore.MVMapConcurrent.Builder<K,V>

Type Parameters:
  `K` - the key type
  `V` - the value type

All Implemented Interfaces:
  MVMap.MapBuilder<MVMapConcurrent<K,V>,K,V>

Enclosing class:
  MVMapConcurrent<K,V>

    public static class MVMapConcurrent.Builder<K,V>

extends java.lang.Object
implements MVMap.MapBuilder<MVMapConcurrent<K,V>,K,V>

A builder for this class.

Field Summary
`protected DataType` `keyType`
`protected DataType` `valueType`

Constructor Summary
`MVMapConcurrent.Builder()` Create a new builder with the default key and value data types.

Method Summary
`MVMapConcurrent<K,V>` `create()` Create a new map of the given type.
`MVMapConcurrent.Builder<K,V>` `keyType(DataType keyType)` Set the key data type.
`MVMapConcurrent.Builder<K,V>` `valueType(DataType valueType)` Set the key data type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyType

    protected DataType keyType

### valueType

    protected DataType valueType

Constructor Detail

### MVMapConcurrent.Builder

    public MVMapConcurrent.Builder()

  Create a new builder with the default key and value data types.

Method Detail

### keyType

    public MVMapConcurrent.Builder<K,V> keyType(DataType keyType)

  Set the key data type.

  Parameters:
    `keyType` - the key type
  Returns:
    this

### valueType

    public MVMapConcurrent.Builder<K,V> valueType(DataType valueType)

  Set the key data type.

  Parameters:
    `valueType` - the key type
  Returns:
    this

### create

    public MVMapConcurrent<K,V> create()

  Description copied from interface: `MVMap.MapBuilder`
  Create a new map of the given type.

  Specified by:
    `create` in interface `MVMap.MapBuilder<MVMapConcurrent<K,V>,K,V>`
  Returns:
    the map